Subject: Re: bug#9933: ylwrap bug

From: Stefano Lattarini <[email-masked]>
Date: Mon, 23 Jul 2012 11:55:53 +0200

tags 9933 + moreinfo
thanks

Hi Bruce, sorry for the delay.

On 11/01/2011 05:56 PM, Bruce Korb wrote:
> On 11/01/11 09:22, Stefano Lattarini wrote:
>>>      AM_LFLAGS = @LEX_FL@ --header-file=$(LEX_HEADER) -DYY_NO_INPUT=1
>>> So ylwrap fires off the flex program and it runs just fine, the tiny
>>> problem is that it also removes the temporary directory before I can
>>> salvage the generated header.  This is inconvenient.
>>>
>> Long-standing bug/limitation.  [...]  the changes
>> [... might] only appear in automake 1.12.
> 
> Excellent!  I cannot expect any better.  I'll just need to know what
> text to look for in ylwrap to indicate a proper fix so I can disable
> that sed hackery that wiggles around the problem.  :)
>
The recent flurry of ylwrap patches from Akim Demaille should have solved
your problem as well.  Could you give a try to the development version of
ylwrap:
 <http://git.savannah.gnu.org/cgit/automake.git/plain/lib/ylwrap?h=maint>
and see if it works correctly in your use case?

Thanks,
  Stefano